double kin_mass_action_irr(double k, double substrate);
double kin_mass_action_rev(double k1, double substrate, double k2, double product);
double kin_degradation(double kdeg, double substrate);
double kin_michaelis_menten_irr(double V, double substrate, double Km);
double kin_hill_cooperativity_irr(double V, double substrate, double h, double Shalve);
double kin_mixed_inihib_irr(double V, double substrate, double Km, double inhibitor, double Kis, double Kic);
double kin_noncomp_inihib_irr(double V, double substrate, double Km, double inhibitor, double Ki);
double kin_uncomp_inihib_irr(double V, double substrate, double Km, double inhibitor, double Ki);
double kin_comp_inihib_irr(double V, double substrate, double Km, double inhibitor, double Ki);
double kin_substrate_inihib_irr(double V, double substrate, double Km, double Ki);
double kin_allosteric_inihib_mwc_irr(double V, double substrate, double Ks, double n, double L, double inhibitor, double Ki);
double kin_allosteric_inihib_empirical_rev(double Vf, double substrate, double Kms, double Vr, double product, double Kmp, double inhibitor, double Ki, double n);
double kin_catalytic_activation_irr(double V, double substrate, double activator, double Kms, double Ka);
double kin_catalytic_activation_rev(double Vf, double substrate, double Kms, double Vr, double product, double Kmp, double activator, double Ka);
double kin_comp_inihib_rev(double Vf, double substrate, double Kms, double Vr, double product, double Kmp, double inhibitor, double Ki);
double kin_constantflux(double v);
double kin_hyperbolic_modifier_irr(double V,double substrate,double b,double modifier,double a,double Kd,double Km);
double kin_hyperbolic_modifier_rev(double Vf,double substrate,double Kms,double Vr,double product,double Kmp,double b,double modifier,double a,double Kd);
double kin_hill_rev(double Vf,double substrate,double Shalve,double product,double Keq,double Phalve,double h);
double kin_iso_uni_uni_rev(double Vf,double substrate,double product,double Keq,double Kii,double Kms,double Kmp);
double kin_mixed_activation_irr(double V,double substrate,double activator,double Kms,double Kas,double Kac);
double kin_mixed_activation_rev(double Vf,double substrate,double Kms,double Vr,double product,double Kmp,double activator,double Kas,double Kac);
double kin_mixed_inihib_rev(double Vf,double substrate,double Kms,double Vr,double product,double Kmp,double inhibitor,double Kis,double Kic);
double kin_noncomp_inihib_rev(double Vf,double substrate,double Kms,double Vr,double product,double Kmp,double inhibitor,double Ki);
double kin_ordered_bi_bi_rev(double Vf,double substratea,double substrateb,double productp,double productq,double Keq,double Kip,double Kma,double Kmb,double Kia,double Vr,double Kmq,double Kmp,double Kib);
double kin_ordered_bi_uni_rev(double Vf,double substratea,double substrateb,double product,double Keq,double Kma,double Kmb,double Vr,double Kmp,double Kia);
double kin_ordered_uni_bi_rev(double Vf,double substrate,double productp,double productq,double Keq,double Kms,double Kip,double Vr,double Kmq,double Kmp);
double kin_michaelis_menten_rev(double Vf,double substrate,double Kms,double Vr,double product,double Kmp);
double kin_substrate_inihib_rev(double Vf,double substrate,double Kms,double Vr,double product,double Kmp,double Ki);
double kin_uncomp_inihib_rev(double Vf,double substrate,double Kms,double Vr,double product,double Kmp,double inhibitor,double Ki);
double kin_uni_uni_rev(double Vf,double substrate,double product,double Keq,double Kms,double Kmp);
double kin_specific_activation_irr(double V,double substrate,double activator,double Kms,double Ka);
double kin_specific_activation_rev(double Vf,double substrate,double Kms,double Vr,double product,double Kmp,double activator,double Ka);
double kin_substrate_activation_irr(double V,double substrate,double Ksa,double Ksc);
double kin_ping_pong_bi_bi_rev(double Vf,double substratea,double substrateb,double productp,double productq,double Keq,double Kiq,double Kma,double Kmb,double Vr,double Kmq,double Kia,double Kmp);
double kin_hill_1_modifier_rev(double Vf,double substrate,double Shalve,double product,double Keq,double Phalve,double h,double modifier,double Mhalve,double alpha);
double kin_hill_2_modifiers_rev(double Vf,double substrate,double Shalve,double product,double Keq,double Phalve,double h,double modifierA,double MAhalve,double modifierB,double MBhalve,double alphaA,double alphaB,double alphaAB);

